#ifndef __os_h
#define __os_h


#if defined(AMIGA)
  #define DIRSEP '/'
#endif

#if defined(DOS) || defined(WINNT) || defined(WIN16) || defined(WIN32)
  #define DIRSEP '\\'
#endif

#if defined(OS2)
  #define DIRSEP '\\'
#endif

#if defined (__unix) || defined (__unix__)
  #define UNIX
#endif

#if defined(__MACH__) && defined(__APPLE__)
  #define UNIX
#endif

#if defined(UNIX)
  #define DIRSEP '/'
#endif



/* Linux, Mac OS X, maybe gcc generic? */
#ifdef BYTE_ORDER
#   if ( BYTE_ORDER == BIG_ENDIAN )
#       define HOST_IS_LITTLE_ENDIAN 0
#   elif ( BYTE_ORDER == LITTLE_ENDIAN )
#       define HOST_IS_LITTLE_ENDIAN 1
#   elif ( BYTE_ORDER == PDP_ENDIAN )
#       define HOST_IS_LITTLE_ENDIAN 0
#   endif
#else
    /* Intel, Alpha */
#   if defined(__i386__) || defined (M_I86) || defined (_M_IX86) ||\
    defined (WIN32) ||\
    defined(__osf__)
#       define HOST_IS_LITTLE_ENDIAN 1
#   else
        /* MIPS SGI IRIX */
#       ifdef _MIPSEB
#           define HOST_IS_LITTLE_ENDIAN 0
#       endif
#       ifdef _MIPSEL
#           define HOST_IS_LITTLE_ENDIAN 1
#       endif
        /* I don't remember which one defines this: */
#       ifdef __BIG_ENDIAN__
#           define HOST_IS_LITTLE_ENDIAN 0
#       endif
#   endif
#endif

#if HOST_IS_LITTLE_ENDIAN
#   define LO_HI_BYTE_ORDER
#else
#   define HI_LO_BYTE_ORDER
#endif

#endif /* __os_h */
